# react-native-snackbar-js

[![npm version](https://badge.fury.io/js/react-native-snackbar-js.svg)](https://badge.fury.io/js/react-native-snackbar-js)

![Alt Text](./preview.gif)

A simple snackbar component for react-native using pure js.

## Usage

A default snackbar without action button.

```javascript
<SnackBar visible={true} text="Welcome!" />
```

Advanced snackbar usage with actions.

```javascript
<SnackBar
  visible={this.state.showSnackBar}
  text="Item has been deleted"
  onPress={() => this.setState({ showSnackBar: false })}
  onAction={() => this.undoDelete()}
  actionText="Undo"
/>
```

## Styles

For customizing styles, please see _backgroundColor_, _textColor_, and _actionTextColor_ props.

## Props

* visible: (required) handles component visibility
* text: (required) text to display to the component
* backgroundColor: (optional) change background color
* textColor: (optional) change text color
* onPress: (optional) callback to execute when component is pressed
* onAction: (optional) execute when action text is pressed
* actionText: (optional) a clickable text for
* actionTextColor: (optional) change color for action text
